Package org.jboss.classfilewriter.annotations

# Class AnnotationBuilder

java.lang.Object
org.jboss.classfilewriter.annotations.AnnotationBuilder

public class AnnotationBuilder extends Object
Utility class that can be used to contruct annotations and annotation attributes from java `Annotation` instances

Author:
  Stuart Douglas

## Method Summary

Modifier and Type
Method
Description
`static ClassAnnotation`
`createAnnotation(ConstPool constPool, Annotation annotation)`
`static AnnotationValue`
`createValue(ConstPool constPool, String name, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createAnnotation

public static ClassAnnotation createAnnotation(ConstPool constPool, Annotation annotation)

### createValue

public static AnnotationValue createValue(ConstPool constPool, String name, Object value)